.SUFFIXES: .o .ec .c .4gl .4ge .42m .42r .42a .per .42f .msg .iem 

4GL=menuMain.4gl menuGlobals.4gl 

FORM=menLogin.per menuBlank.per 

PROG_NAME=menu_dina.4ge

LIB=$(BASEDIR)/lib/lib.42x
GLIB=$(BASEDIR)/glib/glib.42x

COBJS=$(4GL:.4gl=.o)

POBJS=$(4GL:.4gl=.42m)

CFORM=$(FORM:.per=.42f)

RDS_NAME=$(PROG_NAME:.4ge=.42r)

CCODE:	$(COBJS)
		c4gl -o $(PROG_NAME) $(COBJS)
		@- echo "Finished compiling ccode..."

PCODE:	$(POBJS)
		fgl2p -o $(RDS_NAME) $(POBJS) $(LIB) $(GLIB)
		@- echo "Finished compiling pcode..."
		mv *42r *42m ../../bin

FORM:	$(CFORM)
		@- echo "Finished compiling forms..."

.4gl.42m:
		fgl2p $*.4gl

.4gl.o:
		c4gl -c $*.4gl
		@- rm -f $*.c $*.ec

.per.42f:
		fglform -s $*.per
		mv *42f ../../frms
